#include <iostream>

using namespace std;

const int SIZE=1e5+1;

int main() {
	long int N, M, x, y, delta=0;
	long long total = 0;
	int A[SIZE], P[SIZE][2];
	
	cin>>N>>M;
	
	for(int i=1; i<=N; i++)
		cin>>A[i];
	
	for(int i=1; i<=M; i++)
		cin>> P[i][0] >> P[i][1];
	
	for(int i=1; i<=M; i++){
		x=P[i][0]; y=P[i][1];
		delta = A[x]+A[y];
		if(delta>0)
			total+=delta;
		else
			total-=delta;
	}
	
	cout<<total;
	
	return 0;
}